Subject: Re: educational challenges to improving IETF diversity and inclusiveness

From: Greg Skinner <[email-masked]>
Date: Tue, 8 Feb 2022 15:08:11 -0800

> On Feb 8, 2022, at 6:42 AM, Warren Kumari <[email-masked]> wrote:
> 
> 
> 
> On Sun, Feb 6, 2022 at 6:41 PM Marc Petit-Huguenin <[email-masked] <mailto:[email-masked]>> wrote:
> And to be sure that these beginners keep an open mind, let's add
> 
> Day J. Patterns in Network Architecture: A Return to Fundamentals. Upper Saddle River, NJ: Prentice Hall; 2008. 429 p.
> 
> Many of the books that have been recommended are, IMO, quite heavy reading. They are certainly good, and worth the time, but handing a newcomer a big pile of dense academic textbooks seems like it will turn them off.
> 
To be clear, I was referring to “newcomers” in the context of §10 of draft-gont-diversity-analysis-01 <https://datatracker.ietf.org/doc/html/draft-gont-diversity-analysis-01#section-10>.  In particular, I was thinking of the difficulty some people have in getting their drafts published, or even (informally) asking if certain protocol additions or modifications are something the IETF would pursue.  The concepts and principles presented in the books I gave as examples are useful in explaining why decisions are (or aren’t) made.  There are certainly “newcomers” for whom these books would be overkill.

Also, except for one (Saltzer/Kaashoek), the books I gave as examples are available for free online.  (About half of Saltzer/Kaashoek is available for free online.)  So if there is a need for anyone to reference these books, all she or he needs is working Internet access, a web browser, and a pdf reader.

Regards, Greg